Results 1 to 7 of 7

Thread: 1.0.5 Lightsmark gentoo - ./backend: error while loading shared libraries: libgomp.so

  1. #1
    Join Date
    Sep 2007
    Posts
    36

    Default 1.0.5 Lightsmark gentoo - ./backend: error while loading shared libraries: libgomp.so

    Hi.

    Trying to run the Lightsmark demo on gentoo (amd64).


    I have unmasked and installed freeimage.

    When trying to run it I get

    ====================================
    Lightsmark (Run 1 of 1)
    ====================================

    ./backend: error while loading shared libraries: libgomp.so.1: cannot open shared object file: No such file or directory


    Any ideas ?

    p.s - works fine on opensuse 11 (amd64)

  2. #2
    Join Date
    Sep 2007
    Posts
    36

    Default

    Has anyone got it to work in gentoo ?

  3. #3

    Default

    Jupp, works nicely here. Install the needed dependencies and it will work...

    cf http://bugs.gentoo.org/show_bug.cgi?id=216656

  4. #4
    Join Date
    Sep 2007
    Posts
    36

    Default

    Hi.

    Just installed the gentoo ebuild - the same things happens

    ./backend: error while loading shared libraries: libgomp.so.1: cannot open shared object file: No such file or directory


    Its only the lightmark demo that does this

    Any ideas?

  5. #5

    Default

    Quote Originally Posted by yossarianuk View Post
    Its only the lightmark demo that does this
    Yes, you are missing a dependency for this test!
    For get-all-deps you will currently need to unmask media-libs/freeimage. A good
    solution for this is getting the ebuild from bug #213969 and simply use this
    version since it seems to be fine. Just unmask it in
    /etc/portage/package.unmask and that's it.
    Without media-libs/freeimage the test can not run, it is as simple as this!

  6. #6
    Join Date
    Sep 2007
    Posts
    36

    Default

    I do have media-libs/freeimage installed....

    - Is it worth me trying to get the latest version from http://freeimage.sourceforge.net/download.html ?




    morgan@localhost ~ $ emerge -pv media-libs/freeimage

    These are the packages that would be merged, in order:

    Calculating dependencies... done!
    [ebuild R ] media-libs/freeimage-3.9.3-r1 USE="-doc" 0 kB

  7. #7

    Default

    You should maybe run revdep-rebuild. That is libgomp.so.1 is part of ggg 4.3.1 over here. So basically I assume that something in your system is broken. Here is my output of equery belongs libgomp.so.1:

    Code:
    # equery belongs libgomp.so.1
    [ Searching for file(s) libgomp.so.1 in *... ]
    sys-devel/gcc-4.3.1-r1 (/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.1/libgomp.so.1 -> libgomp.so.1.0.0)
    sys-devel/gcc-4.3.1-r1 (/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.1/32/libgomp.so.1 -> libgomp.so.1.0.0)

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •